
GammaLib - Feature #3626

Add GModelSpectralFunc model constructor

04/28/2021 09:30 AM - Knödlseder Jürgen

Status: Closed Start date: 04/28/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Add a GModelSpectralFunc(const GModelSpectral& model, const GEnergies& energies) model constructor to GModelSpectralFunc

that allows for creating a file function from an arbitrary spectral model. This constructor should be similar to the equivalent

GModelSpectralNodes constructor.

Note that once this constructor is introduced, csspec should be simplified (see #3624).

Related issues:

Related to ctools - Bug # 3624: bug on csspec with Composite model Closed 04/27/2021

History

#1 - 04/28/2021 09:30 AM - Knödlseder Jürgen

- Related to Bug #3624: bug on csspec with Composite model added

#2 - 04/30/2021 11:47 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

A spectral model constructor was added to the GModelSpectralFunc class, including unit tests for testing this new functionality. The code was merged

into devel.

I also adapted csspec to use this constructor now for converting the spectral model into a file function before spectral fitting (see #3624 for more

explanations). I still need to merge the code into devel before closing this issue.

#3 - 04/30/2021 02:03 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

I merged the csspec code into devel.
